import { ToolActionDescription } from "./ToolActionDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class ToolActionTextInputDescription extends ToolActionDescription {
    static $t: Type;
    protected get_type(): string;
    constructor();
    private dv;
    get value(): string;
    set value(a: string);
}
